Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386361 (CVE-2010-3374) - <dev-util/qt-creator-2.1.0: runtime library path vulnerability (CVE-2010-3374)
Summary: <dev-util/qt-creator-2.1.0: runtime library path vulnerability (CVE-2010-3374)
Status: RESOLVED FIXED
Alias: CVE-2010-3374
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-08 15:30 UTC by GLSAMaker/CVETool Bot
Modified: 2014-12-12 00:38 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2011-10-08 15:30:09 UTC
CVE-2010-3374 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2010-3374):
  Qt Creator before 2.0.1 places a zero-length directory name in the
  LD_LIBRARY_PATH, which allows local users to gain privileges via a Trojan
  horse shared library in the current working directory.


Please punt vulnerable versions.
Comment 1 Markos Chandras (RETIRED) gentoo-dev 2011-10-08 15:44:40 UTC
vulnerable versions gone
Comment 2 Stefan Behte (RETIRED) gentoo-dev Security 2011-10-08 15:48:11 UTC
GLSA request filed.
Comment 3 Johannes Huber gentoo-dev 2012-03-28 17:57:11 UTC
Thanks all. Affected versions not in tree anymore. Remove qt from cc.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2014-12-12 00:38:53 UTC
This issue was resolved and addressed in
 GLSA 201412-09 at http://security.gentoo.org/glsa/glsa-201412-09.xml
by GLSA coordinator Sean Amoss (ackle).